# Interface methods for submodule: BorderQuadEdgeMeshFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import QuadEdgeMeshToQuadEdgeMeshFilterProxy as _QuadEdgeMeshToQuadEdgeMeshFilterProxy


# Interface methods for class: BorderQuadEdgeMeshFilter
class BorderQuadEdgeMeshFilterProxy(_QuadEdgeMeshToQuadEdgeMeshFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetTransformType(self, _arg) -> None:
		""""""
		...

	def GetTransformType(self):
		""""""
		...

	def SetBorderPick(self, _arg) -> None:
		""""""
		...

	def GetBorderPick(self):
		""""""
		...

	def SetRadius(self, _arg: float) -> None:
		""""""
		...

	def GetRadius(self) -> float:
		""""""
		...

	def ComputeTransform(self) -> None:
		""""""
		...

	def GetBoundaryPtMap(self):
		""""""
		...

	def GetBorder(self):
		""""""
		...

